import { RichTextFeature } from "@bluepic/types";
import { StyleValue } from "vue";
type __VLS_Props = {
    paragraphs: RichTextFeature[][];
    noLazy?: boolean;
    ghost?: boolean;
    debug?: boolean;
};
declare var __VLS_1: {
    key: number;
    text: string;
    format: {
        [k: string]: unknown;
    };
    cssclass: (cssRules: StyleValue) => string;
};
type __VLS_Slots = {} & {
    feature?: (props: typeof __VLS_1) => any;
};
declare const __VLS_component: import("vue").DefineComponent<__VLS_Props, {
    richTextEditorDivRef: import("vue").Ref<HTMLDivElement | undefined, HTMLDivElement | undefined>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    blur: (...args: any[]) => void;
    focus: (...args: any[]) => void;
    update: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{
    onBlur?: ((...args: any[]) => any) | undefined;
    onFocus?: ((...args: any[]) => any) | undefined;
    onUpdate?: ((...args: any[]) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
